Support » Plugin: TablePress » Wordfence reports the following since upgrading to 1.5.1

  • Resolved ChangeAgent

    (@changeagent)


    Morning Tobias,

    This morning Wordfence reports 3 changed files.

    Modified plugin file:
    wp-content/plugins/tablepress/js/jquery.datatables.min.js
    wp-content/plugins/tablepress/controllers/controller-frontend.php
    wp-content/plugins/tablepress/classes/class-tablepress.php

    I suspect this is the result of the last upgrade to 1.5.1 I did.

    Any suggestions for a fix?

    https://wordpress.org/plugins/tablepress/

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author TobiasBg

    (@tobiasbg)

    Hi,

    thanks for your post, and sorry for the trouble.

    This is because I added a small hotfix to the plugin files after TablePress 1.5.1 was already released. You had probably already updated before I did that, which is why the files on your site slightly differ.
    To fix this, it should be enough to reinstall TablePress from a fresh download.

    Regards,
    Tobias

    ChangeAgent

    (@changeagent)

    Thanks Tobias, as always you are an ace!

    I figured something like it but wanted to report it anyway.

    ChangeAgent

    (@changeagent)

    BTW solved.

    ChangeAgent

    (@changeagent)

    BTW Tobias, if I remove TablePress and instal again, will I loose al my tables? Or will they still be there?

    Plugin Author TobiasBg

    (@tobiasbg)

    Hi,

    no worries, the tables will still be there after uninstalling/reinstalling TablePress, as they are stored in the database and not in the plugin files.

    Best wishes,
    Tobias

    ChangeAgent

    (@changeagent)

    as said you are an Ace!

    Plugin Author TobiasBg

    (@tobiasbg)

    Hi,

    thanks, I appreciate the nice words! 🙂

    Best wishes,
    Tobias

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Wordfence reports the following since upgrading to 1.5.1’ is closed to new replies.